com.amazonaws.services.codecommit.model

## Class CreateRepositoryRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codecommit.model.CreateRepositoryRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateRepositoryRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a create repository operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateRepositoryRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateRepositoryRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getRepositoryDescription()` A comment or description about the new repository.
`String` `getRepositoryName()` The name of the new repository to be created.
`int` `hashCode()`
`void` `setRepositoryDescription(String repositoryDescription)` A comment or description about the new repository.
`void` `setRepositoryName(String repositoryName)` The name of the new repository to be created.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateRepositoryRequest` `withRepositoryDescription(String repositoryDescription)` A comment or description about the new repository.
`CreateRepositoryRequest` `withRepositoryName(String repositoryName)` The name of the new repository to be created.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateRepositoryRequest

    public CreateRepositoryRequest()

### Method Detail

#### setRepositoryName

    public void setRepositoryName(String repositoryName)

The name of the new repository to be created.

<note>

The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide. The suffix ".git" is prohibited.

</note>

Parameters:
  `repositoryName` - The name of the new repository to be created. <note>

  The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide. The suffix ".git" is prohibited.

#### getRepositoryName

    public String getRepositoryName()

The name of the new repository to be created.

<note>

The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide. The suffix ".git" is prohibited.

</note>

Returns:
  The name of the new repository to be created. <note>

  The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide. The suffix ".git" is prohibited.

#### withRepositoryName

    public CreateRepositoryRequest withRepositoryName(String repositoryName)

The name of the new repository to be created.

<note>

The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide. The suffix ".git" is prohibited.

</note>

Parameters:
  `repositoryName` - The name of the new repository to be created. <note>

  The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide. The suffix ".git" is prohibited.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRepositoryDescription

    public void setRepositoryDescription(String repositoryDescription)

A comment or description about the new repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `repositoryDescription` - A comment or description about the new repository. <note>

  The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

#### getRepositoryDescription

    public String getRepositoryDescription()

A comment or description about the new repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Returns:
  A comment or description about the new repository. <note>

  The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

#### withRepositoryDescription

    public CreateRepositoryRequest withRepositoryDescription(String repositoryDescription)

A comment or description about the new repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `repositoryDescription` - A comment or description about the new repository. <note>

  The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateRepositoryRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`